# Class CIM_UnitOfWorkDefinition
extends CIM_LogicalElement

A LogicalElement that describes units of work (e.g. transactions). This class represents the definitional components of a unit of work, and not the unit itself.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_UnitOfWorkDefinition

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A LogicalElement that describes units of work (e.g. transactions). This class represents the definitional components of a unit of work, and not the unit itself.
UMLPackagePath | string | CIM::Metrics::UnitOfWork
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Context | string |
Description | string | A free format string describing the context of the defined UnitOfWork. For example an 'Add Order' Unit could be defined in the context of a book ordering application, whereas another 'Add Order' UnitOfWork could be defined for a computer ordering application. It may contain blanks.
Id | string |
Description | string | A 16 byte value that uniquely identifies the UnitOfWork Definition. The use of OSF UUID/GUIDs is recommended.
Key | boolean | true
MaxLen | uint32 | 16
Name | string |
Description | string | The name of the Definition. This name does not have to be unique, but should be descriptive. It may contain blanks.
MaxLen | uint32 | 1024
Override | string | Name
TraceLevelTypeId | string |

Description

string

A 16 byte value that uniquely identifies the applied semantics and format of the trace levels used in the instances of UnitOfWork. The use of OSF UUID/GUIDs is recommended. TraceLevelTypeId allows management applications to efficiently discriminate between different trace level semantics of different UnitOfWorkDefinitions. I.E., CIM_UnitOfWork.TraceLevel = 1 may have different semantics if TraceLevelTypeId is different for the respective instances of UnitOfWork. It is not assumed that different trace level semantics are used within the same UnitOfWorkDefinition in order to promote uniform trace level encodings. (Keep in mind: At least the developers of the business actions represented by the same UnitOfWorkDefinition instance should strive to use the same trace level encoding, otherwise the administrator will have a hard time to figure out what detailed information to expect.) If the string is empty no traces are expected to be produced. If the string is not empty, an associated instance of TraceLevelType may be attached to the UnitOfWorkDefinition instance. Still, it is useful to incorporate TraceLevelTypeId into UnitOfWorkDefinition, to relate to an instance of TraceLevelType. The management application can more easily detect different trace level types.

MaxLen | uint32 | 16
ModelCorrespondence | string | CIM_TraceLevelType.InstanceID

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Status | string | CIM_ManagedSystemElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods